import { Component } from '@angular/core';
import { DataService } from 'src/services/data/data.service';
import { Router } from '@angular/router';
import { Character } from 'src/interfaces/character';

@Component({
  selector: 'app-character-picker',
  templateUrl: './character-picker.component.html',
  styleUrls: ['./character-picker.component.scss'],
})
export class CharacterPickerComponent {
  public constructor(public dataService: DataService, private Router: Router) {
    this.getCharacters();
  }
  public characters: Character[] = [];
  public index = 0;

  public getCharacters() {
    this.dataService.getCollection('characters').then((characters: any) => {
      this.characters = characters;
      console.log(this.characters);
    });
  }

  public addCharacter() {
    this.Router.navigate(['character/creator']);
  }
}
